Package: org.gmetrics.util.io

## [Groovy] Interface ResourceFactory

- Defines the interface for factory objects that create/return Resource instances.

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair
  Version:
    \$Revision: 24 \$ - \$Date: 2009-12-10 21:17:05 -0500 (Thu, 10 Dec 2009) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Resource` | `getResource(String path)` Return a Resource instance suitable for the specified path.

- - ### Method Detail

    - #### Resource getResource(String path)

      Return a Resource instance suitable for the specified path.

      throws:
        IOException - if an error occurs opening the InputStream
      Parameters:
        `path` - - the path to the resource. This may be optionally prefixed by